/*
Class providing a time measurement that we use instead of clock() because the latter is not thread independent.
*/
#pragma once

#include <Windows.h>
#include <time.h>

namespace TimeFunctions
{
	// returns a time stamp in milliseconds ( Greenwich time since 12:00 A.M. January 1, 1601  )
	clock_t getTime();
}



