/*
NullTool doesn't do anything.

*/
#pragma once

#include "Tool.h"

class NullTool : public Tool
{
public:
	NullTool(void){};
	~NullTool(void){};

	void updateLeftHandInput(Pose &pose){} 
	void updateRightHandInput(Pose &pose){}
	void updateBothHandInput(Pose &pose){}

	void update(Pose &pose){}
	void render(){}
	void undo(){}
	void redo(){}

	int getTextureID(){return -1;}
};
