/*
This Class provides the sequential order of undo/redo steps

*/
#pragma once

#include "Tool.h"
#include <vector>

class UndoRedoManager
{
public:

	UndoRedoManager();
	~UndoRedoManager();

	static void undo();
	static void redo();
	// checks in tool with new undo information
	static void checkIn(Tool* tool);


private:
	// two lists provide sequential undoing/redoing
	static std::vector<Tool*> UndoList;
	static std::vector<Tool*> RedoList;
};

