/*
Functions for simple file open and save dialog boxes

*/
#pragma once
#include <Windows.h>
#include <Commdlg.h>
#include <string>

namespace FileHandling
{
	// shows a open dialog box and returns the file name as std::string, needs a parent window
	std::string open(const char* filter, const char* window_name = NULL);
	// shows a save dialog box and returns the file name as std::string
	std::string save(const char* filter, const char* window_name = NULL);
}